How can I use javax.swing or other packages that appeared after jdk1.1 with Microsoft Visual J++ 6.0?

John Zukowski

As far as Swing goes, you can use a product called 2LKit for VJ++. This will allow you to visually use the Swing components within J++. Since Swing works with 1.1, this will actually work easily.

As far as the other libraries go.... Microsoft doesn't plan on updating the product any, so if you plan to use the tool as more than an editor, you'll need to change your development tool. You won't be able to develop visually in their tool if you want to use JDBC (they use ADO) or any J2EE standard library that requires the Java 2 platform.

If you like the tool as an editor, you can change the menu to compile with the standard JDK, but you won't be able to use the debugger unless you use the MS VM, which is roughly equivalent to something like JDK 1.1.4.

0 Comments  (click to add your comment)
Comment and Contribute






(Maximum characters: 1200). You have 1200 characters left.



About | Sitemap | Contact